JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Static Public Member Functions | Static Public Attributes | List of all members
OSCTypes Class Reference
juce_osc » osc

The definitions of supported OSC types and their associated OSC type tags, as defined in the OpenSoundControl 1.0 specification. More...

`#include <juce_OSCTypes.h>`

## Static Public Member Functions
static bool | isSupportedType (OSCType type) noexcept

## Static Public Attributes
static const OSCType | int32
static const OSCType | float32
static const OSCType | string
static const OSCType | blob
static const OSCType | colour

## Detailed Description

The definitions of supported OSC types and their associated OSC type tags, as defined in the OpenSoundControl 1.0 specification.

Note: This implementation does not support any additional type tags that are not part of the specification.

## Member Function Documentation

## ◆ isSupportedType()

static bool OSCTypes::isSupportedType | ( | OSCType | type | ) |
| static noexcept

References blob, colour, float32, int32, and string.

## Member Data Documentation

## ◆ int32

const OSCType OSCTypes::int32
| static

Referenced by OSCArgument::isInt32(), and isSupportedType().

## ◆ float32

const OSCType OSCTypes::float32
| static

Referenced by OSCArgument::isFloat32(), and isSupportedType().

## ◆ string

const OSCType OSCTypes::string
| static

Referenced by OSCArgument::isString(), and isSupportedType().

## ◆ blob

const OSCType OSCTypes::blob
| static

Referenced by OSCArgument::isBlob(), and isSupportedType().

## ◆ colour

const OSCType OSCTypes::colour
| static

Referenced by OSCArgument::isColour(), and isSupportedType().

The documentation for this class was generated from the following file:

- juce_OSCTypes.h